import styled from 'styled-components';

import { color } from '../../constants/style';

export const Wrapper = styled.div`
  margin-top: 60px;
  padding: 24px 8px;
  background-color: white;
`;

export const Head = styled.div`
  display: flex;
`;

export const Body = styled.div`
  padding: 8px;
`;

export const IconWrapper = styled.span`
  display: inline-block;
  padding: 8px;
`;

export const PageNumber = styled.div`
  font-size: 12px;
  font-weight: bold;
  color: ${color.primary};
  text-align: right;
  margin-bottom: 5px;
`;

export const AnnotationBox = styled.div`
  border-radius: 4px;
  border: solid 1px ${color.black38};
  padding: 12px 12px 8px;
  width: 235px;
`;

export const Content = styled.div`
  background-color: ${color['lemon-yellow']};
`;

export const Info = styled.div`
  margin-top: 8px;
  display: flex;
  color: ${color.black38};
  font-size: 12px;
  font-weight: bold;
`;
