import styled from 'styled-components';

export const PageWrapper = styled('div')<{width: number; height: number; rotation?: number}>`
  direction: ltr;
  position: relative;
  overflow: visible;
  background-clip: content-box;
  display: inline-block;
  margin: 25px auto;

  width: ${props => props.width}px;
  height: ${props => props.height}px;
  transform: rotate(${props => props.rotation}deg);
  background-color: white;
`;

export const CanvasWrapper = styled.div``;

export const PdfCanvas = styled.canvas`
  margin: 0;
  display: block;
  width: 100%;
  height: 100%;
`;

export const AnnotationLayer = styled.div``;

export const TextLayer = styled.div``;

export const LoadingLayer = styled.div``;
