export type TypeRenderingStates = 'RENDERING' | 'LOADING' | 'FINISHED' | 'PAUSED';

export type PayloadType = {
  payload: any;
};

export type ViewportType = {
  width: number;
  height: number;
};

export type ProgressType = {
  loaded: number;
  total: number;
};

export type ScrollStateType = {
  right: boolean;
  down: boolean;
  lastX: number;
  lastY: number;
};

export type SelectOptionType = {
  key: string | number;
  content: React.ReactNode;
  value: number | string;
};
