import { ProgressType, ViewportType } from '../constants/type';

export type StateType = {
  totalPage: number;
  currentPage: number;
  pdf: any;
  progress: ProgressType;
  viewport: ViewportType;
  scale: number;
  rotation: number;
};

export default {
  totalPage: 1,
  currentPage: 1,
  pdf: null,
  progress: {},
  viewport: {},
  scale: 1,
  rotation: 0,
};
